CrimeSpreeTweakData.crimespreeimprovs = CrimeSpreeTweakData.init;

function CrimeSpreeTweakData:init(...)
	CrimeSpreeTweakData:crimespreeimprovs(...)
	
	self:initCustomHeists()
end

function CrimeSpreeTweakData:initCustomHeists()
	self:addCustomHeist("jewelry_store", {stealth = true, spreeValue = 3})
	self:addCustomHeist("nightclub", {short = true, spreeValue = 7})
	self:addCustomHeist("mallcrasher", {short = true})
end

function CrimeSpreeTweakData:init_gui(tweak_data)
	self.gui = {}
	self.gui.randomize_time = {1.25, 2.5}
	self.gui.spin_speed = 800
	self.gui.spin_speed_limit = {80, 1000}
	self.gui.max_chat_lines = {lobby = 11, preplanning = 11}
	self.gui.missions_displayed = 3
	self.gui.modifiers_before_scroll = 7
	
	--Have to override function just for this: I don't want to hook because I'm lazy
	self.___tweaky___ = tweak_data
end

--Usage: addMission(name of narrative (not localized), data_table: {short = <boolean>, stealth = <boolean>, logo = <string>, spreeValue = <int>} - Not initting will adjust to default values)
function CrimeSpreeTweakData:addCustomHeist(stage_name, data_table)
	
	local narr = self.___tweaky___.narrative.stages[stage_name]
	
	if(narr == nil) then
		return
	end
	
	local debug_short_add = 5
	local debug_med_add = 7
	local debug_long_add = 10
	
	local _addValue = 0
	local _tableIndex = 1
	
	if(data_table.stealth or false) then
		_addValue = debug_short_add
		_tableIndex = 1
	elseif(data_table.short or true) then
		_addValue = debug_med_add
		_tableIndex = 2
	else
		_addValue = debug_long_add
		_tableIndex = 3
	end
	
	local newStage = {
		id = stage_name,
		add = data_table.spreeValue or _addValue,
		icon = data_table.logo or "csm_crossroads",
		level = narr,
		stage_id = stage_name
	}
	
	table.insert(self.missions[_tableIndex], newStage);
end